	$NetBSD: syscalls.master,v 1.7 2007/02/09 21:55:22 ad Exp $

;	@(#)syscalls.master	8.1 (Berkeley) 7/19/93

; NetBSD COMPAT_MACH PowerPC-only fast traos calls name/number "master" file.
; This is used for the negative mach syscalls.
; (See syscalls.conf to see what it is processed into.)
;
; Fields: number type [type-dependent ...]
;	number	system call number, must be in order
;	type	one of STD, OBSOL, UNIMPL, NODEF, NOARGS, or one of
;		the compatibility options defined in syscalls.conf.
;
; types:
;	STD	always included
;	OBSOL	obsolete, not included in system
;	UNIMPL	unimplemented, not included in system
;	NODEF	included, but don't define the syscall number
;	NOARGS	included, but don't define the syscall args structure
;
; The compat options are defined in the syscalls.conf file, and the
; compat option name is prefixed to the syscall name.  Other than
; that, they're like NODEF (for 'compat' options), or STD (for
; 'libcompat' options).
;
; The type-dependent arguments are as follows:
; For STD, NODEF, NOARGS, and compat syscalls:
;	{ pseudo-proto } [alias]
; For other syscalls:
;	[comment]
;
; #ifdef's, etc. may be included, and are copied to the output files.
; #include's are copied to the syscall names and switch definition files only.

#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/poll.h>
#include <sys/syscallargs.h>

#include <compat/mach/mach_types.h>
#include <compat/mach/arch/powerpc/fasttraps/mach_fasttraps_syscallargs.h>
%%

0	UNIMPL
1	STD		{ void|mach_sys||cthread_set_self(mach_cproc_t p); }
2	STD		{ mach_cproc_t|mach_sys||cthread_self(void); }
3	STD		{ int|mach_sys||processor_facilities_used(void); }
4	STD		{ void|mach_sys||load_msr(void); }
5	UNIMPL
6	UNIMPL
7	UNIMPL
8	UNIMPL
9	UNIMPL
10	UNIMPL		special_bluebox
11	UNIMPL
12	UNIMPL
13	UNIMPL
14	UNIMPL
15	UNIMPL
